
package de.ivu.elect.business.wahlvorschlag.boundary;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.dokumente.entity.DokumentVorlageArt;
import de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlag;

@Stateless
public class WahlvorschlagMaengelDokumentGenerator extends AbstractWahlvorschlaegeDokumentGenerator<Wahlvorschlag, WahlvorschlaegeDokumentContext> {

  @Inject
  private transient WahlvorschlagDAO wahlvorschlagDAO;

  public WahlvorschlagMaengelDokumentGenerator() {
    super();
  }

  @Override
  public DokumentVorlageArt getDokumentVorlageArt() {
    return DokumentVorlageArt.WAHLVORSCHLAG_MAENGEL;
  }

  @Override
  protected Wahlvorschlag attach(Wahlvorschlag template, WahlvorschlaegeDokumentContext context) {
    return wahlvorschlagDAO.attach(template);
  }
}
